CacheTransactionManagerType (Apache Geode 1.15.4)

org.apache.geode.cache.configuration

## Class CacheTransactionManagerType

- java.lang.Object
- - org.apache.geode.cache.configuration.CacheTransactionManagerType

-     @Experimental
      public class CacheTransactionManagerType
      extends Object

  A "cache-transaction-manager" element allows insertion of cache-level transaction listeners.

  Java class for cache-transaction-manager-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="cache-transaction-manager-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="transaction-listener" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                         <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="transaction-writer" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                         <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<DeclarableType>` | `transactionListeners`
    `protected DeclarableType` | `transactionWriter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheTransactionManagerType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DeclarableType>` | `getTransactionListeners()` Gets the value of the transactionListeners property.
    `DeclarableType` | `getTransactionWriter()` Gets the value of the transactionWriter property.
    `void` | `setTransactionWriter(DeclarableType value)` Sets the value of the transactionWriter property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### transactionListeners

          protected List<DeclarableType> transactionListeners

    - #### transactionWriter

          protected DeclarableType transactionWriter

  - ### Constructor Detail

    - #### CacheTransactionManagerType

          public CacheTransactionManagerType()

  - ### Method Detail

    - #### getTransactionListeners

          public List<DeclarableType> getTransactionListeners()

      Gets the value of the transactionListeners property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the transactionListeners property.

      For example, to add a new item, do as follows:

           getTransactionListeners().add(newItem);

      Objects of the following type(s) are allowed in the list `DeclarableType`

      Returns:
        the `List` of `TransactionListener` types.

    - #### getTransactionWriter

          public DeclarableType getTransactionWriter()

      Gets the value of the transactionWriter property. possible object is `DeclarableType`
      Returns:
        the `TransactionWriter` type.

    - #### setTransactionWriter

          public void setTransactionWriter(DeclarableType value)

      Sets the value of the transactionWriter property. allowed object is `DeclarableType`
      Parameters:
        `value` - the `TransactionWriter` type.